Functions
QSPI driver functions
Peripheral Driver » LL Driver » XQSPI » Functions

## Functions
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_qspi_transmit_data8 (xqspi_regs_t *XQSPIx, uint8_t tx_data)
| Write 8-bit in the data register. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_qspi_transmit_data16 (xqspi_regs_t *XQSPIx, uint16_t tx_data)
| Write 16-bit in the data register. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_qspi_transmit_data32 (xqspi_regs_t *XQSPIx, uint32_t tx_data)
| Write 32-bit in the data register. More...
SECTION_RAM_CODE __STATIC_INLINE uint8_t | ll_xqspi_qspi_receive_data8 (xqspi_regs_t *XQSPIx)
| Read 8 bits in the data register. More...
SECTION_RAM_CODE __STATIC_INLINE uint16_t | ll_xqspi_qspi_receive_data16 (xqspi_regs_t *XQSPIx)
| Read 16 bits in the data register. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_qspi_receive_data32 (xqspi_regs_t *XQSPIx)
| Read 32 bits in the data register. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_set_qspi_tft (xqspi_regs_t *XQSPIx, uint32_t threshold)
| Set TX FIFO threshold level. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_tft (xqspi_regs_t *XQSPIx)
| Get TX FIFO threshold level. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_set_qspi_rft (xqspi_regs_t *XQSPIx, uint32_t threshold)
| Set RX FIFO threshold level. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_rft (xqspi_regs_t *XQSPIx)
| Get RX FIFO threshold level. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_enable_qspi_dummy (xqspi_regs_t *XQSPIx)
| Enable dummy cycles. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_disable_qspi_dummy (xqspi_regs_t *XQSPIx)
| Disable dummy cycles. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_is_enabled_qspi_dummy (xqspi_regs_t *XQSPIx)
| Check if dummy cycles is enabled. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_enable_qspi_dma (xqspi_regs_t *XQSPIx)
| Enable DMA mode. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_disable_qspi_dma (xqspi_regs_t *XQSPIx)
| Disable DMA mode. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_is_enabled_qspi_dma (xqspi_regs_t *XQSPIx)
| Check if DMA mode is enabled. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_set_qspi_cpol (xqspi_regs_t *XQSPIx, uint32_t cpol)
| Set clock polarity. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_cpol (xqspi_regs_t *XQSPIx)
| Get clock polarity. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_set_qspi_cpha (xqspi_regs_t *XQSPIx, uint32_t cpha)
| Set clock phase. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_cpha (xqspi_regs_t *XQSPIx)
| Get clock phase. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_set_qspi_data_order (xqspi_regs_t *XQSPIx, uint32_t order)
| Set serial data order. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_data_order (xqspi_regs_t *XQSPIx)
| Get serial data order. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_enable_qspi_contxfer (xqspi_regs_t *XQSPIx)
| Enable continuous transfer mode. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_disable_qspi_contxfer (xqspi_regs_t *XQSPIx)
| Disable continuous transfer mode. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_is_enabled_qspi_contxfer (xqspi_regs_t *XQSPIx)
| Check if continuous transfer mode is enabled. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_enable_qspi_contxfer_extend (xqspi_regs_t *XQSPIx)
| Enable continuous transfer extend mode. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_disable_qspi_contxfer_extend (xqspi_regs_t *XQSPIx)
| Disable continuous transfer extend mode. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_is_enabled_qspi_contxfer_extend (xqspi_regs_t *XQSPIx)
| Check if continuous transfer extend mode is enabled. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_set_qspi_datasize (xqspi_regs_t *XQSPIx, uint32_t szie)
| Set data size. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_datasize (xqspi_regs_t *XQSPIx)
| Get data size. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_enable_inhibt_rx (xqspi_regs_t *XQSPIx)
| Enable inhibt data input to RX FIFO. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_disable_inhibt_rx (xqspi_regs_t *XQSPIx)
| Disable inhibt data input to RX FIFO. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_is_enabled_inhibt_rx (xqspi_regs_t *XQSPIx)
| Check if inhibt data input to RX FIFO is enabled. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_enable_inhibt_tx (xqspi_regs_t *XQSPIx)
| Enable inhibt data output to TX FIFO. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_disable_inhibt_tx (xqspi_regs_t *XQSPIx)
| Disable inhibt data output to TX FIFO. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_is_enabled_inhibt_tx (xqspi_regs_t *XQSPIx)
| Check if inhibt data input to TX FIFO is enabled. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_set_qspi_frf (xqspi_regs_t *XQSPIx, uint32_t format)
| Set frame format. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_frf (xqspi_regs_t *XQSPIx)
| Get frame format. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_status (xqspi_regs_t *XQSPIx)
| Get QSPI status. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_is_active_qspi_flag (xqspi_regs_t *XQSPIx, uint32_t flag)
| Check active flag. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_enable_qspi_ssout (xqspi_regs_t *XQSPIx, uint32_t ssout)
| Enable slave select output. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_disable_qspi_ssout (xqspi_regs_t *XQSPIx, uint32_t ssout)
| Disable slave select output. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_set_qspi_sspol (xqspi_regs_t *XQSPIx, uint32_t sspol)
| Set slave select output polarity. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_sspol (xqspi_regs_t *XQSPIx)
| Get slave select output polarity. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_tx_fifo_level (xqspi_regs_t *XQSPIx)
| Get FIFO Transmission Level. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_rx_fifo_level (xqspi_regs_t *XQSPIx)
| Get FIFO reception Level. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_enable_qspi_it (xqspi_regs_t *XQSPIx, uint32_t mask)
| Enable interrupt. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_disable_qspi_it (xqspi_regs_t *XQSPIx, uint32_t mask)
| Disable interrupt. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_is_enabled_qspi_it (xqspi_regs_t *XQSPIx, uint32_t mask)
| Check if interrupt is enabled. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_it_flag (xqspi_regs_t *XQSPIx)
| Get XQSPI interrupt flags. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_is_qspi_it_flag (xqspi_regs_t *XQSPIx, uint32_t flag)
| Check interrupt flag. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_clear_qspi_flag (xqspi_regs_t *XQSPIx, uint32_t flag)
| Clear interrupt flag. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_set_qspi_wait (xqspi_regs_t *XQSPIx, uint32_t wait)
| Set master inter-transfer delay. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_wait (xqspi_regs_t *XQSPIx)
| Get master inter-transfer delay. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_enable_qspi (xqspi_regs_t *XQSPIx)
| Enable QSPI. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_disable_qspi (xqspi_regs_t *XQSPIx)
| Disable QSPI. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_is_enabled_qspi (xqspi_regs_t *XQSPIx)
| Check if QSPI is enabled. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_set_flash_write (xqspi_regs_t *XQSPIx, uint32_t bits)
| Set QSPI Flash write bits. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_flash_write (xqspi_regs_t *XQSPIx)
| Get QSPI Flash write bits. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_set_present_bypass (xqspi_regs_t *XQSPIx, uint32_t bypass)
| Set QSPI Present Bypass. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_present_bypass (xqspi_regs_t *XQSPIx)
| Get QSPI Present Bypass. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_enable_exflash_power (void)
| Enable exflash power. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_disable_exflash_power (void)
| Disable exflash power. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_is_enable_exflash_power (void)
| Check if exflash power is enabled. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_set_qspi_speed (uint32_t speed)
| Set XQSPI serial clock. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_get_qspi_speed (void)
| Get XQSPI serial clock. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_enable_cache_retention (void)
| Enable cache data retention. More...
SECTION_RAM_CODE __STATIC_INLINE void | ll_xqspi_disable_cache_retention (void)
| Disable cache data retention. More...
SECTION_RAM_CODE __STATIC_INLINE uint32_t | ll_xqspi_is_enable_cache_retention (void)
| Check if tag memory retention is enabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_xqspi_clear_qspi_flag()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_clear_qspi_flag | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | flag
| ) |  |

Clear interrupt flag.

Note
  Clearing interrupt flag is done by writting INTCLR register

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTCLR | INT_CLR | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  flag | This parameter can be one of the following values: LL_XQSPI_QSPI_IM_DONE LL_XQSPI_QSPI_IM_RFF LL_XQSPI_QSPI_IM_RFTF LL_XQSPI_QSPI_IM_TFTF LL_XQSPI_QSPI_IM_TFE

Return values

  None |

Definition at line 2501 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_cache_retention()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_disable_cache_retention | ( | void |  | ) |

Disable cache data retention.

Note
  This bit should not be changed when XIP is ongoing.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PWR_RET01 | XF_TAG_RET | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 2826 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_exflash_power()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_disable_exflash_power | ( | void |  | ) |

Disable exflash power.

Note
  This bit should not be changed when XIP is ongoing.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PWR_RET01 | EFLASH_PAD_EN | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 2723 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_inhibt_rx()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_disable_inhibt_rx | ( | xqspi_regs_t * | XQSPIx | ) |

Disable inhibt data input to RX FIFO.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | INHIBITDIN | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 2053 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_inhibt_tx()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_disable_inhibt_tx | ( | xqspi_regs_t * | XQSPIx | ) |

Disable inhibt data output to TX FIFO.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | INHIBITDOUT | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 2110 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_qspi()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_disable_qspi | ( | xqspi_regs_t * | XQSPIx | ) |

Disable QSPI.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SPIEN | EN | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 2579 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_qspi_contxfer()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_disable_qspi_contxfer | ( | xqspi_regs_t * | XQSPIx | ) |

Disable continuous transfer mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CONTXFER | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 1883 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_qspi_contxfer_extend()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_disable_qspi_contxfer_extend | ( | xqspi_regs_t * | XQSPIx | ) |

Disable continuous transfer extend mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | CONTXFERX | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 1940 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_qspi_dma()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_disable_qspi_dma | ( | xqspi_regs_t * | XQSPIx | ) |

Disable DMA mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | DMA | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 1695 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_qspi_dummy()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_disable_qspi_dummy | ( | xqspi_regs_t * | XQSPIx | ) |

Disable dummy cycles.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | MWAITEN | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 1638 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_qspi_it()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_disable_qspi_it | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | mask
| ) |  |

Disable interrupt.

Note
  This bit controls the generation of an interrupt when an event occurs.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTEN | INT_EN | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  mask | This parameter can be one of the following values: LL_XQSPI_QSPI_IM_DONE LL_XQSPI_QSPI_IM_RFF LL_XQSPI_QSPI_IM_RFTF LL_XQSPI_QSPI_IM_TFTF LL_XQSPI_QSPI_IM_TFE

Return values

  None |

Definition at line 2397 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_disable_qspi_ssout()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_disable_qspi_ssout | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | ssout
| ) |  |

Disable slave select output.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SLAVE_SEL | OUT3 OUT2 OUT1 OUT0 | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  ssout | This parameter can between: 0 ~ 0xFF

Return values

  None |

Definition at line 2268 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_cache_retention()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_enable_cache_retention | ( | void |  | ) |

Enable cache data retention.

Note
  This bit should not be changed when XIP is ongoing..

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PWR_RET01 | XF_TAG_RET | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 2807 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_exflash_power()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_enable_exflash_power | ( | void |  | ) |

Enable exflash power.

Note
  This bit should not be changed when XIP is ongoing.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PWR_RET01 | EFLASH_PAD_EN | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 2704 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_inhibt_rx()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_enable_inhibt_rx | ( | xqspi_regs_t * | XQSPIx | ) |

Enable inhibt data input to RX FIFO.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | INHIBITDIN | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 2034 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_inhibt_tx()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_enable_inhibt_tx | ( | xqspi_regs_t * | XQSPIx | ) |

Enable inhibt data output to TX FIFO.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | INHIBITDOUT | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 2091 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_qspi()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_enable_qspi | ( | xqspi_regs_t * | XQSPIx | ) |

Enable QSPI.

Note
  This bit should not be enable when XIP is ongoing.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SPIEN | EN | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 2560 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_qspi_contxfer()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_enable_qspi_contxfer | ( | xqspi_regs_t * | XQSPIx | ) |

Enable continuous transfer mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CONTXFER | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 1864 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_qspi_contxfer_extend()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_enable_qspi_contxfer_extend | ( | xqspi_regs_t * | XQSPIx | ) |

Enable continuous transfer extend mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | CONTXFERX | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 1921 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_qspi_dma()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_enable_qspi_dma | ( | xqspi_regs_t * | XQSPIx | ) |

Enable DMA mode.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | DMA | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 1676 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_qspi_dummy()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_enable_qspi_dummy | ( | xqspi_regs_t * | XQSPIx | ) |

Enable dummy cycles.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | MWAITEN | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  None |

Definition at line 1619 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_qspi_it()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_enable_qspi_it | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | mask
| ) |  |

Enable interrupt.

Note
  This bit controls the generation of an interrupt when an event occurs.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTEN | INT_EN | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  mask | This parameter can be one of the following values: LL_XQSPI_QSPI_IM_DONE LL_XQSPI_QSPI_IM_RFF LL_XQSPI_QSPI_IM_RFTF LL_XQSPI_QSPI_IM_TFTF LL_XQSPI_QSPI_IM_TFE

Return values

  None |

Definition at line 2371 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_enable_qspi_ssout()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_enable_qspi_ssout | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | ssout
| ) |  |

Enable slave select output.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SLAVE_SEL | OUT3 OUT2 OUT1 OUT0 | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  ssout | This parameter can between: 0 ~ 0xFF

Return values

  None |

Definition at line 2248 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_flash_write()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_flash_write | ( | xqspi_regs_t * | XQSPIx | ) |

Get QSPI Flash write bits.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | FLASH_WRITE | FLASH_WRITE | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_FLASH_WRITE_128BIT LL_XQSPI_FLASH_WRITE_32BIT

Definition at line 2641 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_it_flag()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_it_flag | ( | xqspi_regs_t * | XQSPIx | ) |

Get XQSPI interrupt flags.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | INT_STAT | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one or combination of the following values: LL_XQSPI_QSPI_IS_DONE LL_XQSPI_QSPI_IS_RFF LL_XQSPI_QSPI_IS_RFTF LL_XQSPI_QSPI_IS_TFTF LL_XQSPI_QSPI_IS_TFE

Definition at line 2446 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_present_bypass()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_present_bypass | ( | xqspi_regs_t * | XQSPIx | ) |

Get QSPI Present Bypass.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | BYPASS | BYPASS | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_ENABLE_PRESENT LL_XQSPI_DISABLE_PRESENT

Definition at line 2685 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_cpha()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_cpha | ( | xqspi_regs_t * | XQSPIx | ) |

Get clock phase.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CPHA | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_SCPHA_1EDGE LL_XQSPI_SCPHA_2EDGE

Definition at line 1802 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_cpol()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_cpol | ( | xqspi_regs_t * | XQSPIx | ) |

Get clock polarity.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CPOL | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_SCPOL_LOW LL_XQSPI_SCPOL_HIGH

Definition at line 1758 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_data_order()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_data_order | ( | xqspi_regs_t * | XQSPIx | ) |

Get serial data order.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | MSB1ST | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_QSPI_LSB LL_XQSPI_QSPI_MSB

Definition at line 1845 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_datasize()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_datasize | ( | xqspi_regs_t * | XQSPIx | ) |

Get data size.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | BITSIZE | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_QSPI_DATASIZE_4BIT LL_XQSPI_QSPI_DATASIZE_8BIT LL_XQSPI_QSPI_DATASIZE_12BIT LL_XQSPI_QSPI_DATASIZE_16BIT LL_XQSPI_QSPI_DATASIZE_20BIT LL_XQSPI_QSPI_DATASIZE_24BIT LL_XQSPI_QSPI_DATASIZE_28BIT LL_XQSPI_QSPI_DATASIZE_32BIT

Definition at line 2015 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_frf()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_frf | ( | xqspi_regs_t * | XQSPIx | ) |

Get frame format.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | QMODE | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one even value: LL_XQSPI_QSPI_FRF_SPI LL_XQSPI_QSPI_FRF_DUALSPI LL_XQSPI_QSPI_FRF_QUADSPI

Definition at line 2175 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_rft()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_rft | ( | xqspi_regs_t * | XQSPIx | ) |

Get RX FIFO threshold level.

Note
  FIFO maximum depth is 16 units.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | RXWMARK | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_QSPI_FIFO_WATERMARK_1_8 LL_XQSPI_QSPI_FIFO_WATERMARK_1_4 LL_XQSPI_QSPI_FIFO_WATERMARK_1_2 LL_XQSPI_QSPI_FIFO_WATERMARK_3_4

Definition at line 1600 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_rx_fifo_level()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_rx_fifo_level | ( | xqspi_regs_t * | XQSPIx | ) |

Get FIFO reception Level.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | RX_FIFO_LVL | RXFIFOLVL | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 16

Definition at line 2345 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_speed()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_speed | ( | void |  | ) |

Get XQSPI serial clock.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PWR_RET01 | XF_SCK_CLK_SEL | +———————-+———————————–+ \endrst

Return values

  Returned | Value can be one of the following values: LL_XQSPI_BAUD_RATE_64M LL_XQSPI_BAUD_RATE_48M LL_XQSPI_BAUD_RATE_32M LL_XQSPI_BAUD_RATE_24M LL_XQSPI_BAUD_RATE_16M

Definition at line 2788 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_sspol()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_sspol | ( | xqspi_regs_t * | XQSPIx | ) |

Get slave select output polarity.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SLAVE_SEL_POL | POL3 POL2 POL1 POL0 | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 0xFF

Definition at line 2307 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_status()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_status | ( | xqspi_regs_t * | XQSPIx | ) |

Get QSPI status.

\rst +———————-+——————————————————+ | Register | BitsName | +======================+======================================================+ | STATUS | RXFULL RXWMARK RXEMPTY TXFULL TXWMARK TXEMPTY XFERIP | +———————-+——————————————————+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one or combination of the following values: LL_XQSPI_QSPI_STAT_RFTF LL_XQSPI_QSPI_STAT_RFF LL_XQSPI_QSPI_STAT_RFE LL_XQSPI_QSPI_STAT_TFTF LL_XQSPI_QSPI_STAT_TFF LL_XQSPI_QSPI_STAT_TFE LL_XQSPI_QSPI_STAT_BUSY

Definition at line 2201 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_tft()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_tft | ( | xqspi_regs_t * | XQSPIx | ) |

Get TX FIFO threshold level.

Note
  FIFO maximum depth is 16 units.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | TXWMARK | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can be one of the following values: LL_XQSPI_QSPI_FIFO_WATERMARK_1_8 LL_XQSPI_QSPI_FIFO_WATERMARK_1_4 LL_XQSPI_QSPI_FIFO_WATERMARK_1_2 LL_XQSPI_QSPI_FIFO_WATERMARK_3_4

Definition at line 1551 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_tx_fifo_level()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_tx_fifo_level | ( | xqspi_regs_t * | XQSPIx | ) |

Get FIFO Transmission Level.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | TX_FIFO_LVL | TXFIFOLVL | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 16

Definition at line 2326 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_get_qspi_wait()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_get_qspi_wait | ( | xqspi_regs_t * | XQSPIx | ) |

Get master inter-transfer delay.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSTR_IT_DELAY | MWAIT | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value can between: 0 ~ 255

Definition at line 2540 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_active_qspi_flag()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_is_active_qspi_flag | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | flag
| ) |  |

Check active flag.

\rst +———————-+——————————————————+ | Register | BitsName | +======================+======================================================+ | STATUS | RXFULL RXWMARK RXEMPTY TXFULL TXWMARK TXEMPTY XFERIP | +———————-+——————————————————+ \endrst

Parameters

  XQSPIx | XQSPI instance
  flag | This parameter can be one of the following values: LL_XQSPI_QSPI_STAT_RFTF LL_XQSPI_QSPI_STAT_RFF LL_XQSPI_QSPI_STAT_RFE LL_XQSPI_QSPI_STAT_TFTF LL_XQSPI_QSPI_STAT_TFF LL_XQSPI_QSPI_STAT_TFE LL_XQSPI_QSPI_STAT_BUSY

Return values

  State | of bit (1 or 0).

Definition at line 2228 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enable_cache_retention()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_is_enable_cache_retention | ( | void |  | ) |

Check if tag memory retention is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PWR_RET01 | XF_TAG_RET | +———————-+———————————–+ \endrst

Return values

  State | of bit (1 or 0).

Definition at line 2844 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enable_exflash_power()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_is_enable_exflash_power | ( | void |  | ) |

Check if exflash power is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PWR_RET01 | EFLASH_PAD_EN | +———————-+———————————–+ \endrst

Return values

  State | of bit (1 or 0).

Definition at line 2741 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_inhibt_rx()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_is_enabled_inhibt_rx | ( | xqspi_regs_t * | XQSPIx | ) |

Check if inhibt data input to RX FIFO is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | INHIBITDIN | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 2072 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_inhibt_tx()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_is_enabled_inhibt_tx | ( | xqspi_regs_t * | XQSPIx | ) |

Check if inhibt data input to TX FIFO is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | INHIBITDOUT | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 2129 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_qspi()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_is_enabled_qspi | ( | xqspi_regs_t * | XQSPIx | ) |

Check if QSPI is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SPIEN | EN | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 2598 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_qspi_contxfer()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_is_enabled_qspi_contxfer | ( | xqspi_regs_t * | XQSPIx | ) |

Check if continuous transfer mode is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CONTXFER | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 1902 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_qspi_contxfer_extend()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_is_enabled_qspi_contxfer_extend | ( | xqspi_regs_t * | XQSPIx | ) |

Check if continuous transfer extend mode is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | CONTXFERX | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 1959 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_qspi_dma()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_is_enabled_qspi_dma | ( | xqspi_regs_t * | XQSPIx | ) |

Check if DMA mode is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | DMA | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 1714 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_qspi_dummy()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_is_enabled_qspi_dummy | ( | xqspi_regs_t * | XQSPIx | ) |

Check if dummy cycles is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | MWAITEN | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  State | of bit (1 or 0).

Definition at line 1657 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_enabled_qspi_it()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_is_enabled_qspi_it | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | mask
| ) |  |

Check if interrupt is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTEN | INT_EN | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  mask | This parameter can be one of the following values: LL_XQSPI_QSPI_IM_DONE LL_XQSPI_QSPI_IM_RFF LL_XQSPI_QSPI_IM_RFTF LL_XQSPI_QSPI_IM_TFTF LL_XQSPI_QSPI_IM_TFE

Return values

  State | of bit (1 or 0).

Definition at line 2422 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_is_qspi_it_flag()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_is_qspi_it_flag | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | flag
| ) |  |

Check interrupt flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTSTAT | XFER_DPULSE | +———————-+———————————–+ \endrst INTSTAT | RX_FPULSE INTSTAT | RX_WPULSE INTSTAT | TX_WPULSE INTSTAT | TX_EPULSE

Parameters

  XQSPIx | XQSPI instance
  flag | This parameter can be one of the following values: LL_XQSPI_QSPI_IS_DONE LL_XQSPI_QSPI_IS_RFF LL_XQSPI_QSPI_IS_RFTF LL_XQSPI_QSPI_IS_TFTF LL_XQSPI_QSPI_IS_TFE

Return values

  State | of bit (1 or 0).

Definition at line 2475 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_qspi_receive_data16()

SECTION_RAM_CODE __STATIC_INLINE uint16_t ll_xqspi_qspi_receive_data16 | ( | xqspi_regs_t * | XQSPIx | ) |

Read 16 bits in the data register.

\rst +———————-+—————————–+ | Register | BitsName | +======================+=============================+ | RX_DATA | DATA | +———————-+—————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value between: 0x00 ~ 0xFFFF

Definition at line 1483 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_qspi_receive_data32()

SECTION_RAM_CODE __STATIC_INLINE uint32_t ll_xqspi_qspi_receive_data32 | ( | xqspi_regs_t * | XQSPIx | ) |

Read 32 bits in the data register.

\rst +———————-+—————————–+ | Register | BitsName | +======================+=============================+ | RX_DATA | DATA | +———————-+—————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value between: 0x00 ~ 0xFFFFFFFF

Definition at line 1502 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_qspi_receive_data8()

SECTION_RAM_CODE __STATIC_INLINE uint8_t ll_xqspi_qspi_receive_data8 | ( | xqspi_regs_t * | XQSPIx | ) |

Read 8 bits in the data register.

\rst +———————-+—————————–+ | Register | BitsName | +======================+=============================+ | RX_DATA | DATA | +———————-+—————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance

Return values

  Returned | Value between: 0x00 ~ 0xFF

Definition at line 1464 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_qspi_transmit_data16()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_qspi_transmit_data16 | ( | xqspi_regs_t * | XQSPIx,
|  | uint16_t | tx_data
| ) |  |

Write 16-bit in the data register.

\rst +———————-+—————————–+ | Register | BitsName | +======================+=============================+ | TX_DATA | DATA | +———————-+—————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  tx_data | This parameter can between: 0x00 ~ 0xFFFF

Return values

  None |

Definition at line 1425 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_qspi_transmit_data32()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_qspi_transmit_data32 | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | tx_data
| ) |  |

Write 32-bit in the data register.

\rst +———————-+—————————–+ | Register | BitsName | +======================+=============================+ | TX_DATA | DATA | +———————-+—————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  tx_data | This parameter can between: 0x00 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1445 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_qspi_transmit_data8()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_qspi_transmit_data8 | ( | xqspi_regs_t * | XQSPIx,
|  | uint8_t | tx_data
| ) |  |

Write 8-bit in the data register.

\rst +———————-+—————————–+ | Register | BitsName | +======================+=============================+ | TX_DATA | DATA | +———————-+—————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  tx_data | This parameter can between: 0x00 ~ 0xFF

Return values

  None |

Definition at line 1405 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_flash_write()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_set_flash_write | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | bits
| ) |  |

Set QSPI Flash write bits.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | FLASH_WRITE | FLASH_WRITE | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  bits | This parameter can be one of the following values: LL_XQSPI_FLASH_WRITE_128BIT LL_XQSPI_FLASH_WRITE_32BIT

Return values

  None |

Definition at line 2620 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_present_bypass()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_set_present_bypass | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | bypass
| ) |  |

Set QSPI Present Bypass.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | BYPASS | BYPASS | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  bypass | This parameter can be one of the following values: LL_XQSPI_ENABLE_PRESENT LL_XQSPI_DISABLE_PRESENT

Return values

  None |

Definition at line 2664 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_qspi_cpha()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_set_qspi_cpha | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | cpha
| ) |  |

Set clock phase.

Note
  This bit should not be changed when communication is ongoing.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CPHA | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  cpha | This parameter can be one of the following values: LL_XQSPI_SCPHA_1EDGE LL_XQSPI_SCPHA_2EDGE

Return values

  None |

Definition at line 1781 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_qspi_cpol()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_set_qspi_cpol | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | cpol
| ) |  |

Set clock polarity.

Note
  This bit should not be changed when communication is ongoing.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | CPOL | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  cpol | This parameter can be one of the following values: LL_XQSPI_SCPOL_LOW LL_XQSPI_SCPOL_HIGH

Return values

  None |

Definition at line 1737 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_qspi_data_order()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_set_qspi_data_order | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | order
| ) |  |

Set serial data order.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | MSB1ST | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  order | This parameter can be one of the following values: LL_XQSPI_QSPI_LSB LL_XQSPI_QSPI_MSB

Return values

  None |

Definition at line 1824 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_qspi_datasize()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_set_qspi_datasize | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | szie
| ) |  |

Set data size.

Note
  These bits should not be changed when communication is ongoing.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | BITSIZE | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  szie | This parameter can be one of the following values: LL_XQSPI_QSPI_DATASIZE_4BIT LL_XQSPI_QSPI_DATASIZE_8BIT LL_XQSPI_QSPI_DATASIZE_12BIT LL_XQSPI_QSPI_DATASIZE_16BIT LL_XQSPI_QSPI_DATASIZE_20BIT LL_XQSPI_QSPI_DATASIZE_24BIT LL_XQSPI_QSPI_DATASIZE_28BIT LL_XQSPI_QSPI_DATASIZE_32BIT

Return values

  None |

Definition at line 1988 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_qspi_frf()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_set_qspi_frf | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | format
| ) |  |

Set frame format.

Note
  These bits should not be changed when communication is ongoing.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | AUX_CTRL | QMODE | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  format | This parameter can be one of the following values: LL_XQSPI_QSPI_FRF_SPI LL_XQSPI_QSPI_FRF_DUALSPI LL_XQSPI_QSPI_FRF_QUADSPI

Return values

  None |

Definition at line 2153 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_qspi_rft()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_set_qspi_rft | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | threshold
| ) |  |

Set RX FIFO threshold level.

Note
  FIFO maximum depth is 16 units.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | RXWMARK | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  threshold | This parameter can be one of the following values: LL_XQSPI_QSPI_FIFO_WATERMARK_1_8 LL_XQSPI_QSPI_FIFO_WATERMARK_1_4 LL_XQSPI_QSPI_FIFO_WATERMARK_1_2 LL_XQSPI_QSPI_FIFO_WATERMARK_3_4

Return values

  None |

Definition at line 1576 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_qspi_speed()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_set_qspi_speed | ( | uint32_t | speed | ) |

Set XQSPI serial clock.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | PWR_RET01 | XF_SCK_CLK_SEL | +———————-+———————————–+ \endrst

Parameters

  speed | This parameter can be one of the following values: LL_XQSPI_BAUD_RATE_64M LL_XQSPI_BAUD_RATE_48M LL_XQSPI_BAUD_RATE_32M LL_XQSPI_BAUD_RATE_24M LL_XQSPI_BAUD_RATE_16M

Return values

  None |

Definition at line 2765 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_qspi_sspol()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_set_qspi_sspol | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | sspol
| ) |  |

Set slave select output polarity.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SLAVE_SEL_POL | POL3 POL2 POL1 POL0 | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  sspol | This parameter can between: 0 ~ 0xFF

Return values

  None |

Definition at line 2288 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_qspi_tft()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_set_qspi_tft | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | threshold
| ) |  |

Set TX FIFO threshold level.

Note
  FIFO maximum depth is 16 units.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | CTRL | TXWMARK | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  threshold | This parameter can be one of the following values: LL_XQSPI_QSPI_FIFO_WATERMARK_1_8 LL_XQSPI_QSPI_FIFO_WATERMARK_1_4 LL_XQSPI_QSPI_FIFO_WATERMARK_1_2 LL_XQSPI_QSPI_FIFO_WATERMARK_3_4

Return values

  None |

Definition at line 1527 of file gr55xx_ll_xqspi.h.

## ◆ ll_xqspi_set_qspi_wait()

SECTION_RAM_CODE __STATIC_INLINE void ll_xqspi_set_qspi_wait | ( | xqspi_regs_t * | XQSPIx,
|  | uint32_t | wait
| ) |  |

Set master inter-transfer delay.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | MSTR_IT_DELAY | MWAIT | +———————-+———————————–+ \endrst

Parameters

  XQSPIx | XQSPI instance
  wait | This parameter can between: 0 ~ 255

Return values

  None |

Definition at line 2521 of file gr55xx_ll_xqspi.h.